CovBase (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sitraka.CovBase,CovBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka
Class CovBase

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.sitraka.CovBase

Direct Known Subclasses:
  Coverage, CovMerge, CovReport

public abstract class CovBase
extends Task

Base class that deals with JProbe version incompatibilities.

Since:
  Ant 1.6

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CovBase()`

Method Summary
`protected java.io.File` | `createTempFile(java.lang.String prefix)`
`protected java.io.File` | `findCoverageJar()`
`protected java.lang.String` | `findExecutable(java.lang.String relativePath)`
`protected java.io.File` | `getHome()`
`protected java.lang.String` | `getParamFileArgument()`
`protected boolean` | `isJProbe4Plus()` Are we running on a version of JProbe 4.x or higher?
`void` | `setHome(java.io.File value)` The directory where JProbe is installed.

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CovBase

    public CovBase()

Method Detail

### setHome

    public void setHome(java.io.File value)

  The directory where JProbe is installed.

### getHome

    protected java.io.File getHome()

### findCoverageJar

    protected java.io.File findCoverageJar()

### findExecutable

    protected java.lang.String findExecutable(java.lang.String relativePath)

### createTempFile

    protected java.io.File createTempFile(java.lang.String prefix)

### getParamFileArgument

    protected java.lang.String getParamFileArgument()

### isJProbe4Plus

    protected boolean isJProbe4Plus()

  Are we running on a version of JProbe 4.x or higher?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.